Send a connector request
curl --request POST \
--url https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url_path": "/admin/api/2026-07/graphql.json",
"method": "POST",
"headers": {
"Content-Type": "application/json"
},
"body": {
"query": "{ shop { name } }"
}
}
'import requests
url = "https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http"
payload = {
"url_path": "/admin/api/2026-07/graphql.json",
"method": "POST",
"headers": { "Content-Type": "application/json" },
"body": { "query": "{ shop { name } }" }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url_path: '/admin/api/2026-07/graphql.json',
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({query: '{ shop { name } }'})
})
};
fetch('https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url_path' => '/admin/api/2026-07/graphql.json',
'method' => 'POST',
'headers' => [
'Content-Type' => 'application/json'
],
'body' => [
'query' => '{ shop { name } }'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http"
payload := strings.NewReader("{\n \"url_path\": \"/admin/api/2026-07/graphql.json\",\n \"method\": \"POST\",\n \"headers\": {\n \"Content-Type\": \"application/json\"\n },\n \"body\": {\n \"query\": \"{ shop { name } }\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url_path\": \"/admin/api/2026-07/graphql.json\",\n \"method\": \"POST\",\n \"headers\": {\n \"Content-Type\": \"application/json\"\n },\n \"body\": {\n \"query\": \"{ shop { name } }\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url_path\": \"/admin/api/2026-07/graphql.json\",\n \"method\": \"POST\",\n \"headers\": {\n \"Content-Type\": \"application/json\"\n },\n \"body\": {\n \"query\": \"{ shop { name } }\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": {
"status_code": 200,
"body": "{\"data\":{\"shop\":{\"name\":\"Example store\"}}}"
}
}Connectors
Send a connector request
Currently Shopify only. Proxies HTTP requests to the linked connector’s platform using the tenant’s credentials.
POST
/
{env_id}
/
{flow}
/
{user_id}
/
connectors
/
{connector_id}
/
proxy
/
http
Send a connector request
curl --request POST \
--url https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url_path": "/admin/api/2026-07/graphql.json",
"method": "POST",
"headers": {
"Content-Type": "application/json"
},
"body": {
"query": "{ shop { name } }"
}
}
'import requests
url = "https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http"
payload = {
"url_path": "/admin/api/2026-07/graphql.json",
"method": "POST",
"headers": { "Content-Type": "application/json" },
"body": { "query": "{ shop { name } }" }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url_path: '/admin/api/2026-07/graphql.json',
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({query: '{ shop { name } }'})
})
};
fetch('https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url_path' => '/admin/api/2026-07/graphql.json',
'method' => 'POST',
'headers' => [
'Content-Type' => 'application/json'
],
'body' => [
'query' => '{ shop { name } }'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http"
payload := strings.NewReader("{\n \"url_path\": \"/admin/api/2026-07/graphql.json\",\n \"method\": \"POST\",\n \"headers\": {\n \"Content-Type\": \"application/json\"\n },\n \"body\": {\n \"query\": \"{ shop { name } }\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url_path\": \"/admin/api/2026-07/graphql.json\",\n \"method\": \"POST\",\n \"headers\": {\n \"Content-Type\": \"application/json\"\n },\n \"body\": {\n \"query\": \"{ shop { name } }\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hotglue.com/{env_id}/{flow}/{user_id}/connectors/{connector_id}/proxy/http")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url_path\": \"/admin/api/2026-07/graphql.json\",\n \"method\": \"POST\",\n \"headers\": {\n \"Content-Type\": \"application/json\"\n },\n \"body\": {\n \"query\": \"{ shop { name } }\"\n }\n}"
response = http.request(request)
puts response.read_body{
"result": {
"status_code": 200,
"body": "{\"data\":{\"shop\":{\"name\":\"Example store\"}}}"
}
}Beta — currently Shopify only. Send a GET or POST request using a linked
tenant’s Shopify credentials. The outer hotglue request is always POST.
Path Parameters
Body
application/json